<?php
/*
 * Global Product Configuration File
 * Defaults and Product Settings
 * (c) Copyright 2012 ShapingRain
 * http://www.shapingrain.com
 * support@shapingrain.com
 */

$product = array(
    'name' => 'Off the Shelf',
    'slogan' => '...  an eBook landing page.',
    'version' => '1.1.5'
);

$defaults = array(
    'title' => 'Off the Shelf',
    'subtitle' => '...  an eBook landing page.'
);

$manifest = array(
    'index.html' => array(
        'title' => 'Front page',
        'type' => 'html',
        'desc' => 'Front page w/ basic newsletter form, gallery with lightboxes etc.',
    ),
    'about.html' => array(
        'title' => 'Content page',
        'type' => 'html',
        'desc' => 'A basic content page, for your privacy policy, "About Us" page etc.',
    )
);

$groups = array(

    $t->t('Presets') => array(
        'id' => 'presets',
        'desc' => $t->t('Select a preset to quickly switch to a different color theme.'),

        'items' => array(
            $t->t('Select a preset') => array(
                'id' => 'presets',
                'type' => 'presets',
            ),
        )
    ),



    $t->t('Global options') => array(
        'id' => 'global',
        'desc' => $t->t('The global options affect major aspects, such as the background color.'),

        'items' => array(
            $t->t('Background color') => array(
                'id' => 'background_base_color',
                'type' => 'colorpicker',
                'default' => '#FFFFFF',
            ),
            $t->t('Icon font color') => array(
                'id' => 'icon_font_color',
                'desc' => 'This color is used for all icons.',
                'type' => 'colorpicker',
                'default' => '#dca400',
            ),
            $t->t('Highlight font color') => array(
                'id' => 'highlight_font_color',
                'desc' => 'This color is currently used for quotations to highlight a name.',
                'type' => 'colorpicker',
                'default' => '#dca400',
            ),
            $t->t('Gallery highlight/mouseover color') => array(
                'id' => 'gallery_highlight_color',
                'desc' => 'This color is used when a user hovers over a gallery item.',
                'type' => 'colorpicker',
                'default' => '#dca400',
            ),
            $t->t('Link color') => array(
                'id' => 'link_color',
                'desc' => 'This is the main link color.',
                'type' => 'colorpicker',
                'default' => '#dca400',
            ),
            $t->t('Link color (hover)') => array(
                'id' => 'link_color_hover',
                'desc' => 'This is the link color for its hover state.',
                'type' => 'colorpicker',
                'default' => '#a87d00',
            ),
            $t->t('Link color (active)') => array(
                'id' => 'link_color_active',
                'desc' => 'This is the link color for its active state.',
                'type' => 'colorpicker',
                'default' => '#dca400',
            ),
        )
    ),

    $t->t('Banner') => array(
        'id' => 'banner',
        'desc' => $t->t('Define design options for the banner.'),
        'items' => array(
            $t->t('Banner primary text color') => array(
                'id' => 'banner_text_color',
                'desc' => 'This color is used for all text that is part of the banner.',
                'type' => 'colorpicker',
                'default' => '#ffffff',
            ),
            $t->t('Banner secondary text color') => array(
                'id' => 'banner_secondary_text_color',
                'desc' => 'This color is used for the buy button\'s sub caption and hints.',
                'type' => 'colorpicker',
                'default' => '#ffffff',
            ),
            $t->t('Background Type') => array(
                'id' => 'banner_background_select',
                'type' => 'select',
                'desc' => 'Select an image to be used as the banner\'s background.',
                'options' => array(
                    'static' => 'Static Image',
                    'texture' => 'Texture',
                    'gradient' => 'Gradient',
                    'color' => 'Single Color'
                ),
                'default' => 'static',
            ),
            $t->t('Static Image') => array(
                'id' => 'banner_background_image',
                'type' => 'imagepicker',
                'desc' => 'Select an image to be used as the banner\'s background.',
                'directory' => 'images/backgrounds',
                'filetype' => 'jpg',
                'default' => 'bg_banner_1.jpg',
            ),
            $t->t('Texture') => array(
                'id' => 'banner_background_texture',
                'type' => 'imagepicker',
                'desc' => 'Select a texture to be used as the banner\'s background.',
                'directory' => 'images/textures',
                'filetype' => 'png',
                'default' => 'argyle.png',
            ),
            $t->t('Gradient') => array(
                'id' => 'banner_background_gradient',
                'type' => 'gradient',
                'default' => '#cf5833,#ab2210',
                'desc' => $t->t('This is the gradient used as the banner\'s background.'),
            ),
            $t->t('Single color') => array(
                'id' => 'banner_background_color',
                'desc' => 'This is the banner\'s base color, when neither of the image options are used.',
                'type' => 'colorpicker',
                'default' => '#999',
            ),

        )
    ),


    $t->t('Contact Form') => array(
        'id' => 'form',
        'desc' => $t->t('Set up the contact form.'),

        'items' => array(
            $t->t('Recipient email address') => array(
                'id' => 'form_email',
                'desc' => $t->t('This is the address you would like emails submitted through the contact form to be sent to.'),
                'type' => 'text',
                'default' => 'my@email.com',
            ),
        ),
    ),


    $t->t('Control Panel') => array(
        'id' => 'controlpanel',
        'desc' => $t->t('Set up the configuration interface itself.'),

        'items' => array(
            $t->t('Lock interface to prevent access') => array(
                'id' => 'interface_locked',
                'desc' => $t->t('Once activated and saved, this access panel is not accessible without a manual modification of the site.settings.php file.'),
                'type' => 'checkbox',
                'label' => $t->t('Do you really want to lock the interface?'),
                'default' => false,
            ),
        ),
    ),


);


/*
 * PRESET DEFINITION
 */

$presets = array(
    /*
     * Gradients
     */

    'Business Grey' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#6e6e6e',
        'presentation_gradient-end' => '#313131',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#6e6e6e',
        'banner_background_gradient-end' => '#313131',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#313131',
        'link_color' => '#313131',
        'highlight_font_color' => '#313131',
        'gallery_highlight_color' => '#313131',
    ),
    'Dark Peach' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#cf5833',
        'presentation_gradient-end' => '#ab2210',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#cf5833',
        'banner_background_gradient-end' => '#ab2210',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#ab2210',
        'link_color' => '#ab2210',
        'highlight_font_color' => '#ab2210',
        'gallery_highlight_color' => '#ab2210',
    ),
    'Deep Cyan' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#47c0ba',
        'presentation_gradient-end' => '#015c5a',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#47c0ba',
        'banner_background_gradient-end' => '#015c5a',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#015c5a',
        'link_color' => '#015c5a',
        'highlight_font_color' => '#015c5a',
        'gallery_highlight_color' => '#015c5a',
    ),
    'Lime Green' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#a2b61d',
        'presentation_gradient-end' => '#56791a',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#a2b61d',
        'banner_background_gradient-end' => '#56791a',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#56791a',
        'link_color' => '#56791a',
        'highlight_font_color' => '#56791a',
        'gallery_highlight_color' => '#56791a',
    ),
    'Ocean Blue' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#2985c6',
        'presentation_gradient-end' => '#003e65',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#2985c6',
        'banner_background_gradient-end' => '#003e65',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#003e65',
        'link_color' => '#003e65',
        'highlight_font_color' => '#003e65',
        'gallery_highlight_color' => '#003e65',
    ),
    'Olive Green' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#b6b11d',
        'presentation_gradient-end' => '#686b0e',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#b6b11d',
        'banner_background_gradient-end' => '#686b0e',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#686b0e',
        'link_color' => '#686b0e',
        'highlight_font_color' => '#686b0e',
        'gallery_highlight_color' => '#686b0e',
    ),
    'Purple Sensation' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#946aaf',
        'presentation_gradient-end' => '#501765',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#946aaf',
        'banner_background_gradient-end' => '#501765',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#501765',
        'link_color' => '#501765',
        'highlight_font_color' => '#501765',
        'gallery_highlight_color' => '#501765',
    ),
    'Strawberry' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#cf3333',
        'presentation_gradient-end' => '#ab1010',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#cf3333',
        'banner_background_gradient-end' => '#ab1010',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#ab1010',
        'link_color' => '#ab1010',
        'highlight_font_color' => '#ab1010',
        'gallery_highlight_color' => '#ab1010',
    ),
    'Vampire Red' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#ab0000',
        'presentation_gradient-end' => '#5e0000',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#ab0000',
        'banner_background_gradient-end' => '#5e0000',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#5e0000',
        'link_color' => '#5e0000',
        'highlight_font_color' => '#5e0000',
        'gallery_highlight_color' => '#5e0000',
    ),
    'Wild Berry' => array(
        'group' => 'gradients',
        'presentation_gradient-start' => '#cf336c',
        'presentation_gradient-end' => '#ab1041',
        'banner_background_select' => 'gradient',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '#cf336c',
        'banner_background_gradient-end' => '#ab1041',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#ab1041',
        'link_color' => '#ab1041',
        'highlight_font_color' => '#ab1041',
        'gallery_highlight_color' => '#ab1041',
    ),

    /*
     * Singles colors
     */

    'Bordo Red' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#990000',
        'presentation_gradient-end' => '#990000',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#990000',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#990000',
        'link_color' => '#990000',
        'highlight_font_color' => '#990000',
        'gallery_highlight_color' => '#990000',
    ),
    'Subtle Red' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#8e3030',
        'presentation_gradient-end' => '#8e3030',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#8e3030',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#8e3030',
        'link_color' => '#8e3030',
        'highlight_font_color' => '#8e3030',
        'gallery_highlight_color' => '#8e3030',
    ),
    'Serious Blue' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#005699',
        'presentation_gradient-end' => '#005699',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#005699',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#005699',
        'link_color' => '#005699',
        'highlight_font_color' => '#005699',
        'gallery_highlight_color' => '#005699',
    ),
    'Mint Blue' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#00a399',
        'presentation_gradient-end' => '#00a399',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#00a399',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#00a399',
        'link_color' => '#00a399',
        'highlight_font_color' => '#00a399',
        'gallery_highlight_color' => '#00a399',
    ),
    'Flower Purple' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#660066',
        'presentation_gradient-end' => '#660066',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#660066',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#660066',
        'link_color' => '#660066',
        'highlight_font_color' => '#660066',
        'gallery_highlight_color' => '#660066',
    ),
    'Terra Orange' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#c26400',
        'presentation_gradient-end' => '#c26400',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#c26400',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#c26400',
        'link_color' => '#c26400',
        'highlight_font_color' => '#c26400',
        'gallery_highlight_color' => '#c26400',
    ),
    'Trust Green' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#6c9804',
        'presentation_gradient-end' => '#6c9804',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#6c9804',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#6c9804',
        'link_color' => '#6c9804',
        'highlight_font_color' => '#6c9804',
        'gallery_highlight_color' => '#6c9804',
    ),
    'Classic Grey' => array(
        'group' => 'colors',
        'presentation_gradient-start' => '#333333',
        'presentation_gradient-end' => '#333333',
        'banner_background_select' => 'color',
        'banner_background_image' => '',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '#333333',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#333333',
        'link_color' => '#333333',
        'highlight_font_color' => '#333333',
        'gallery_highlight_color' => '#333333',
    ),

    /*
     * Background Images
     */
    'Vintage Shelf' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#a26f44',
        'presentation_gradient-end' => '#a26f44',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_1.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Spring Oasis' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#da9d97',
        'presentation_gradient-end' => '#da9d97',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_2.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#da9d97',
        'link_color' => '#da9d97',
        'highlight_font_color' => '#da9d97',
        'gallery_highlight_color' => '#da9d97',
    ),
    'Natural Green' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#7eb609',
        'presentation_gradient-end' => '#7eb609',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_3.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#7eb609',
        'link_color' => '#7eb609',
        'highlight_font_color' => '#7eb609',
        'gallery_highlight_color' => '#7eb609',
    ),
    'Night Life' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#a485ab',
        'presentation_gradient-end' => '#a485ab',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_4.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#a485ab',
        'link_color' => '#a485ab',
        'highlight_font_color' => '#a485ab',
        'gallery_highlight_color' => '#a485ab',
    ),
    'Night Shine' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#6a785e',
        'presentation_gradient-end' => '#6a785e',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_5.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#6a785e',
        'link_color' => '#6a785e',
        'highlight_font_color' => '#6a785e',
        'gallery_highlight_color' => '#6a785e',
    ),
    'Urban Madness' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#7a6261',
        'presentation_gradient-end' => '#7a6261',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_6.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#7a6261',
        'link_color' => '#7a6261',
        'highlight_font_color' => '#7a6261',
        'gallery_highlight_color' => '#7a6261',
    ),
    'Grey Chaos' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#676767',
        'presentation_gradient-end' => '#676767',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_7.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#676767',
        'link_color' => '#676767',
        'highlight_font_color' => '#676767',
        'gallery_highlight_color' => '#676767',
    ),
    'Red Velvet' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#951c24',
        'presentation_gradient-end' => '#951c24',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_8.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#951c24',
        'link_color' => '#951c24',
        'highlight_font_color' => '#951c24',
        'gallery_highlight_color' => '#951c24',
    ),
    'Street Rush' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#a07c5e',
        'presentation_gradient-end' => '#a07c5e',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_9.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#a07c5e',
        'link_color' => '#a07c5e',
        'highlight_font_color' => '#a07c5e',
        'gallery_highlight_color' => '#a07c5e',
    ),
    'Ocean Floor' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#28434e',
        'presentation_gradient-end' => '#28434e',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_10.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#28434e',
        'link_color' => '#28434e',
        'highlight_font_color' => '#28434e',
        'gallery_highlight_color' => '#28434e',
    ),
    'Delicious' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#545454',
        'presentation_gradient-end' => '#545454',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_11.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#545454',
        'link_color' => '#545454',
        'highlight_font_color' => '#545454',
        'gallery_highlight_color' => '#545454',
    ),
    'Orange Orbs' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#9c4914',
        'presentation_gradient-end' => '#9c4914',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_12.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#9c4914',
        'link_color' => '#9c4914',
        'highlight_font_color' => '#9c4914',
        'gallery_highlight_color' => '#9c4914',
    ),
    'Blue Orbs' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#415b69',
        'presentation_gradient-end' => '#415b69',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_13.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#415b69',
        'link_color' => '#415b69',
        'highlight_font_color' => '#415b69',
        'gallery_highlight_color' => '#415b69',
    ),
    'Blue Sky' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#27575b',
        'presentation_gradient-end' => '#27575b',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_14.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#27575b',
        'link_color' => '#27575b',
        'highlight_font_color' => '#27575b',
        'gallery_highlight_color' => '#27575b',
    ),
    'Rainbow Warrior' => array(
        'group' => 'images',
        'presentation_gradient-start' => '#424282',
        'presentation_gradient-end' => '#424282',
        'banner_background_select' => 'static',
        'banner_background_image' => 'bg_banner_15.jpg',
        'banner_background_texture' => '',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#424282',
        'link_color' => '#424282',
        'highlight_font_color' => '#424282',
        'gallery_highlight_color' => '#424282',
    ),

    /*
     * Textures
     */
    'Argyle' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#262626',
        'presentation_gradient-end' => '#262626',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'argyle.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Carbon Fibre' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#2a2a2a',
        'presentation_gradient-end' => '#2a2a2a',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'carbon_fibre_v2.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Classic Fabric' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#303133',
        'presentation_gradient-end' => '#303133',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'classy_fabric.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Escheresque' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#323232',
        'presentation_gradient-end' => '#323232',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'escheresque_ste.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Wild Oliva' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#565656',
        'presentation_gradient-end' => '#565656',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'wild_oliva.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Asfalt' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#1b1b1c',
        'presentation_gradient-end' => '#09090a',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'asfalt.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Black Orchid' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#2a2a2a',
        'presentation_gradient-end' => '#0e0e0e',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'blackorchid.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Noisy Net' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#1b2025',
        'presentation_gradient-end' => '#101519',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'noisy_net.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Office' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#1f1f1f',
        'presentation_gradient-end' => '#1b1b1b',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'office.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),
    'Dashed' => array(
        'group' => 'textures',
        'presentation_gradient-start' => '#141414',
        'presentation_gradient-end' => '#000000',
        'banner_background_select' => 'texture',
        'banner_background_image' => '',
        'banner_background_texture' => 'simple_dashed.png',
        'banner_background_gradient-start' => '',
        'banner_background_gradient-end' => '',
        'banner_background_color' => '',
        'banner_text_color' => '#ffffff',
        'banner_secondary_text_color' => '#ffffff',
        'background_base_color' => '#ffffff',
        'icon_font_color' => '#dca400',
        'link_color' => '#dca400',
        'link_color_hover' => '#a87d00',
        'link_color_active' => '#dca400',
        'highlight_font_color' => '#dca400',
        'gallery_highlight_color' => '#dca400',
    ),

);

